local WebSocketBaseMessage = BaseClass("WebSocketBaseMessage")
local NewEmpty = function(msgType)
  return msgType.New(true)
end
local NewMessage = function(msgType, ...)
  return msgType.New(false, ...)
end
local __init = function(self, isEmpty, ...)
  if not isEmpty then
    self.tableData = {}
    self:OnCreate(...)
  end
end
local OnCreate = function(self)
end
local HandleMessage = function(self, t)
end
local OnDestroy = function(self)
end
local __delete = function(self)
  self.tableData = nil
  self:OnDestroy()
end
WebSocketBaseMessage.__init = __init
WebSocketBaseMessage.NewEmpty = NewEmpty
WebSocketBaseMessage.NewMessage = NewMessage
WebSocketBaseMessage.OnCreate = OnCreate
WebSocketBaseMessage.HandleMessage = HandleMessage
WebSocketBaseMessage.OnDestroy = OnDestroy
WebSocketBaseMessage.__delete = __delete
return WebSocketBaseMessage
